Package: org.codehaus.groovy.classgen.asm

## [Java] Class DelegatingController

- org.codehaus.groovy.classgen.asm.DelegatingController

-     public class DelegatingController
      extends WriterController

  This class will delegate all calls to a WriterController given in the constructor.

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class WriterController` | `optimizeForInt`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DelegatingController(WriterController normalController)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public AsmClassGenerator` | `getAcg()`
    `` | `public AssertionWriter` | `getAssertionWriter()`
    `` | `public BinaryExpressionHelper` | `getBinaryExpressionHelper()`
    `` | `public int` | `getBytecodeVersion()`
    `` | `public CallSiteWriter` | `getCallSiteWriter()`
    `` | `public String` | `getClassName()`
    `` | `public ClassNode` | `getClassNode()`
    `` | `public org.objectweb.asm.ClassVisitor` | `getClassVisitor()`
    `` | `public ClosureWriter` | `getClosureWriter()`
    `` | `public CompileStack` | `getCompileStack()`
    `` | `public ConstructorNode` | `getConstructorNode()`
    `` | `public GeneratorContext` | `getContext()`
    `` | `public org.objectweb.asm.ClassVisitor` | `getCv()`
    `` | `public InterfaceHelperClassNode` | `getInterfaceClassLoadingClass()`
    `` | `public String` | `getInternalBaseClassName()`
    `` | `public String` | `getInternalClassName()`
    `` | `public InvocationWriter` | `getInvocationWriter()`
    `` | `public LambdaWriter` | `getLambdaWriter()`
    `` | `public int` | `getLineNumber()`
    `` | `public MethodNode` | `getMethodNode()`
    `` | `public MethodPointerExpressionWriter` | `getMethodPointerExpressionWriter()`
    `` | `public MethodReferenceExpressionWriter` | `getMethodReferenceExpressionWriter()`
    `` | `public org.objectweb.asm.MethodVisitor` | `getMethodVisitor()`
    `` | `public OperandStack` | `getOperandStack()`
    `` | `public ClassNode` | `getOutermostClass()`
    `` | `public ClassNode` | `getReturnType()`
    `` | `public SourceUnit` | `getSourceUnit()`
    `` | `public StatementWriter` | `getStatementWriter()`
    `` | `public TypeChooser` | `getTypeChooser()`
    `` | `public UnaryExpressionHelper` | `getUnaryExpressionHelper()`
    `` | `public void` | `init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)`
    `` | `public boolean` | `isConstructor()`
    `` | `public boolean` | `isFastPath()`
    `` | `public boolean` | `isInGeneratedFunction()`
    `` | `public boolean` | `isInGeneratedFunctionConstructor()`
    `` | `public boolean` | `isInScriptBody()`
    `` | `public boolean` | `isNotClinit()`
    `` | `public boolean` | `isStaticConstructor()`
    `` | `public boolean` | `isStaticContext()`
    `` | `public boolean` | `isStaticMethod()`
    `` | `public void` | `resetLineNumber()`
    `` | `public void` | `setConstructorNode(ConstructorNode cn)`
    `` | `public void` | `setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)`
    `` | `public void` | `setLineNumber(int n)`
    `` | `public void` | `setMethodNode(MethodNode mn)`
    `` | `public void` | `setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)`
    `` | `public boolean` | `shouldOptimizeForInt()`
    `` | `public void` | `switchToFastPath()`
    `` | `public void` | `switchToSlowPath()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class WriterController` | `getAcg, getAssertionWriter, getBinaryExpressionHelper, getBytecodeVersion, getCallSiteWriter, getClassName, getClassNode, getClassVisitor, getClosureWriter, getCompileStack, getConstructorNode, getContext, getCv, getInterfaceClassLoadingClass, getInternalBaseClassName, getInternalClassName, getInvocationWriter, getLambdaWriter, getLineNumber, getMethodNode, getMethodPointerExpressionWriter, getMethodReferenceExpressionWriter, getMethodVisitor, getNextHelperMethodIndex, getOperandStack, getOutermostClass, getReturnType, getSourceUnit, getStatementWriter, getSuperMethodNames, getThisType, getTypeChooser, getUnaryExpressionHelper, init, isConstructor, isFastPath, isInGeneratedFunction, isInGeneratedFunctionConstructor, isInScriptBody, isNotClinit, isStaticConstructor, isStaticContext, isStaticMethod, resetLineNumber, setConstructorNode, setInterfaceClassLoadingClass, setLineNumber, setMethodNode, setMethodVisitor, shouldOptimizeForInt, switchToFastPath, switchToSlowPath, visitLineNumber`

- - ### Constructor Detail

    - #### public DelegatingController(WriterController normalController)

  - ### Method Detail

    - #### @Override public AsmClassGenerator getAcg()

    - #### @Override public AssertionWriter getAssertionWriter()

    - #### @Override public BinaryExpressionHelper getBinaryExpressionHelper()

    - #### @Override public int getBytecodeVersion()

    - #### @Override public CallSiteWriter getCallSiteWriter()

    - #### @Override public String getClassName()

    - #### @Override public ClassNode getClassNode()

    - #### @Override public org.objectweb.asm.ClassVisitor getClassVisitor()

    - #### @Override public ClosureWriter getClosureWriter()

    - #### @Override public CompileStack getCompileStack()

    - #### @Override public ConstructorNode getConstructorNode()

    - #### @Override public GeneratorContext getContext()

    - #### @Override @Deprecated public org.objectweb.asm.ClassVisitor getCv()

    - #### @Override public InterfaceHelperClassNode getInterfaceClassLoadingClass()

    - #### @Override public String getInternalBaseClassName()

    - #### @Override public String getInternalClassName()

    - #### @Override public InvocationWriter getInvocationWriter()

    - #### @Override public LambdaWriter getLambdaWriter()

    - #### @Override public int getLineNumber()

    - #### @Override public MethodNode getMethodNode()

    - #### @Override public MethodPointerExpressionWriter getMethodPointerExpressionWriter()

    - #### @Override public MethodReferenceExpressionWriter getMethodReferenceExpressionWriter()

    - #### @Override public org.objectweb.asm.MethodVisitor getMethodVisitor()

    - #### @Override public OperandStack getOperandStack()

    - #### @Override public ClassNode getOutermostClass()

    - #### @Override public ClassNode getReturnType()

    - #### @Override public SourceUnit getSourceUnit()

    - #### @Override public StatementWriter getStatementWriter()

    - #### @Override public TypeChooser getTypeChooser()

    - #### @Override public UnaryExpressionHelper getUnaryExpressionHelper()

    - #### @Override public void init(AsmClassGenerator asmClassGenerator, GeneratorContext gcon, org.objectweb.asm.ClassVisitor cv, ClassNode cn)

    - #### @Override public boolean isConstructor()

    - #### @Override public boolean isFastPath()

    - #### @Override public boolean isInGeneratedFunction()

    - #### @Override public boolean isInGeneratedFunctionConstructor()

    - #### @Override public boolean isInScriptBody()

    - #### @Override public boolean isNotClinit()

    - #### @Override public boolean isStaticConstructor()

    - #### @Override public boolean isStaticContext()

    - #### @Override public boolean isStaticMethod()

    - #### @Override public void resetLineNumber()

    - #### @Override public void setConstructorNode(ConstructorNode cn)

    - #### @Override public void setInterfaceClassLoadingClass(InterfaceHelperClassNode ihc)

    - #### @Override public void setLineNumber(int n)

    - #### @Override public void setMethodNode(MethodNode mn)

    - #### @Override public void setMethodVisitor(org.objectweb.asm.MethodVisitor methodVisitor)

    - #### @Override public boolean shouldOptimizeForInt()

    - #### @Override public void switchToFastPath()

    - #### @Override public void switchToSlowPath()